“This application requires an update to Adobe Air that is not available on your system” Error

As of January 2011, we rely on Adobe Air 2.5, which runs on these operating systems. If you are on OS X 10.5, on a PowerPC based mac, and are trying to update Mockups, we are keeping version 2.0.10 around for you here. That’s the last version we made that only requires Adobe Air 1.5, which does run on PowerPC macs.

Adobe provides an installer for Air 1.5 here. One thing we can suggest, short of considering getting a newer computer, is to look at myBalsamiq, our web-based version with nothing to install. Learn more about myBalsamiq.

Last Updated: Jul 22, 2013 04:58PM PDT